Docs Ideogram /ideogram/v1/ideogram-v3/generate
API reference

Generate 3.0 (Vincent Chart)Generate

Use the Ideogram 3.0 model to synchronously generate images based on given hints and optional parameters For specific parameters, please see the official documentation:…

POST/ideogram/v1/ideogram-v3/generate

Body Parametersapplication/json

aspect_ratio string

The aspect ratio used for image generation, which determines the resolution of the image. Cannot be used together with the resolution parameter. Default is 1x1

color_palette object oneOf

Generated color palette, must be specified explicitly via one of the presets (name) or via a hexadecimal representation of the colors with optional weights (members)

magic_prompt string

Determines whether to use Magic Prompt when generating requests

negative_prompt string

Describe what to exclude from the image. Descriptions in prompts take precedence over descriptions in negative prompts

num_images integer

Number of images to generate

prompt* string

Prompt text required to generate the image

rendering_speed string

Render speed options

resolution string enum truncated

Supported resolution options

seed integer

Random seed. Set this value for repeatable build results

style_codes array

A list of 8-character hexadecimal codes representing the image style. Cannot be used with style_reference_images or style_type

items
string string
style_type string

The type of style to generate

Responses

200 application/json
response-200 object
properties
created* string

Creation time (Unix timestamp)

data* array

Data payload (often Base64 or a structured object)

400 Bad request or validation failed application/json
response-400 object
properties
error* object
Request Body Example
1{
2"prompt": "voluptate reprehenderit",
3"rendering_speed": "DEFAULT",
4"seed": 511526458
5}
Code Sample cURL
1curl -X POST "https://api.digislash.com/ideogram/v1/ideogram-v3/generate" \
2-H "Content-Type: application/json" \
3-d '{
4"prompt": "voluptate reprehenderit",
5"rendering_speed": "DEFAULT",
6"seed": 511526458
7}'
Response
1▼{
2"created": "2025-08-27T18:23:28.806107195+08:00",
3▼"data": [
4▶{ 6 keys }
5]
6}